<div class="row">
  <div class="product-list">
    <div class="row">
      <h2 class="ml-4"><strong>Product List</strong></h2>
    </div>
    <div class="row">
      <products-list [products]="products$ | async">
        <ng-container *forProduct="let product; ofType: 'default'">
          <h5 class="mb-0">{{ product.name }} (custom default)</h5>
          <div class="price mb-auto mt-auto">{{ product.price + ' €' }}</div>
          <cart-item-control [product]="product"></cart-item-control>
        </ng-container>

        <ng-container *forProduct="let product; ofType: 'promo'">
          <h5 class="mb-0">{{ product.name }} ({{ product.type }})</h5>
          <div class="price mb-auto mt-auto">{{ product.price + ' €' }}</div>
          <cart-item-control [product]="product"></cart-item-control>
        </ng-container>

        <ng-container *forProduct="let product; ofType: 'outlet'">
          <h5 class="mb-0">{{ product.name }} ({{ product.type }})</h5>
          <div class="price mb-auto mt-auto">{{ product.price + ' €' }}</div>
          <cart-item-control [product]="product"></cart-item-control>
        </ng-container>
      </products-list>
    </div>
  </div>
  <div class="border-right-lightgray"></div>
  <div class="cart-items">
    <div class="card h-100">
      <div class="w-100 d-flex justify-content-end">
        <button class="btn-underlined mr-1" (click)="cart.removeProduct(null, true)">
          <i class="fa fa-trash trash-color mr-1"></i>clear all
        </button>
      </div>
      <div class="card-body">
        <h4 class="card-title">Cart Items</h4>
        <hr />
        <cart-widget></cart-widget>
      </div>
    </div>
  </div>
</div>
